# UniTAP.common.dsc_video_frame

class VideoFrameDSC(UniTAP.common.video_frame.VideoFrame):

Class `VideoFrameDSC` contains base information about DSC compressed video frame:

- Height (int).
- Width (int).
- Data (bytearray).
- Color info (object of `ColorInfo`).
- Data info (object of `DataInfo`).
- Timestamp (object of `Timestamp`).
- CompressionInfo (object of `CompressionInfo`)

compression_info
def is_compressed(self) -> bool:

Return state of the video frame, compressed it or not.

###### Returns:

> object of `bool` type.

##### Inherited Members

UniTAP.common.video_frame.VideoFrame
  width
  height
  data
  color_info
  data_info
  timestamp